import { ApiError } from "./api-error";

export class UnauthorizedApiError extends ApiError {
  constructor(detail: string) {
    super({
      status: 401,
      title: "Unauthorized",
      detail,
      type: "https://httpstatuses.com/401",
    });
  }
}
